<!DOCTYPE html>
<html lang="en">
  <head>
    <title>IOAudioUnitError Enumeration Reference</title>
    <link rel="stylesheet" type="text/css" href="../css/jazzy.css" />
    <link rel="stylesheet" type="text/css" href="../css/highlight.css" />
    <meta charset='utf-8'>
    <script src="../js/jquery.min.js" defer></script>
    <script src="../js/jazzy.js" defer></script>
    
    <script src="../js/lunr.min.js" defer></script>
    <script src="../js/typeahead.jquery.js" defer></script>
    <script src="../js/jazzy.search.js" defer></script>
  </head>
  <body>
    <a name="//apple_ref/swift/Enum/IOAudioUnitError" class="dashAnchor"></a>
    <a title="IOAudioUnitError Enumeration Reference"></a>
    <header>
      <div class="content-wrapper">
        <p><a href="../index.html">HaishinKit 1.8.0 Docs</a> (88% documented)</p>
        <div class="header-right">
          <form role="search" action="../search.json">
            <input type="text" placeholder="Search documentation" data-typeahead>
          </form>
        </div>
      </div>
    </header>
    <div class="content-wrapper">
      <p id="breadcrumbs">
        <a href="../index.html">HaishinKit Reference</a>
        <img id="carat" src="../img/carat.png" alt=""/>
        IOAudioUnitError Enumeration Reference
      </p>
    </div>
    <div class="content-wrapper">
      <nav class="sidebar">
        <ul class="nav-groups">
          <li class="nav-group-name">
            <a href="../Classes.html">Classes</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Classes/ByteArray.html">ByteArray</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/ByteArray/Error.html">– Error</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/Event.html">Event</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/Event/Name.html">– Name</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/EventDispatcher.html">EventDispatcher</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/IOAudioCaptureUnit.html">IOAudioCaptureUnit</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/IOStream.html">IOStream</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/IOStream/ReadyState.html">– ReadyState</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/IOStreamBitRateStrategy.html">IOStreamBitRateStrategy</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/IOStreamRecorder.html">IOStreamRecorder</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/IOStreamRecorder/Error.html">– Error</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/IOStreamVideoAdaptiveBitRateStrategy.html">IOStreamVideoAdaptiveBitRateStrategy</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/IOVideoCaptureUnit.html">IOVideoCaptureUnit</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/InstanceHolder.html">InstanceHolder</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/MTHKView.html">MTHKView</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/NetClient.html">NetClient</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/NetService.html">NetService</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/NetSocket.html">NetSocket</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/PiPHKView.html">PiPHKView</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/PiPHKView.html">PiPHKView</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/RTMPConnection.html">RTMPConnection</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/RTMPConnection/Code.html">– Code</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/RTMPResponder.html">RTMPResponder</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/RTMPSharedObject.html">RTMPSharedObject</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/RTMPStream.html">RTMPStream</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/RTMPStream/Code.html">– Code</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/RTMPStream/HowToPublish.html">– HowToPublish</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/SRTConnection.html">SRTConnection</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/SRTLogger.html">SRTLogger</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/SRTStream.html">SRTStream</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/TSReader.html">TSReader</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/TSWriter.html">TSWriter</a>
              </li>
              <li class="nav-group-task">
                <a href="../Classes/VideoEffect.html">VideoEffect</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Global%20Variables.html">Global Variables</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Global%20Variables.html#/s:10HaishinKit12kASUndefinedAA0C0Vvp">kASUndefined</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Enums.html">Enumerations</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Enums/DeviceUtil.html">DeviceUtil</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/DeviceUtil.html">DeviceUtil</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/FeatureUtil.html">FeatureUtil</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/FeatureUtil/Name.html">– Name</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/IOAudioMixerError.html">IOAudioMixerError</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/IOAudioUnitError.html">IOAudioUnitError</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/IOVideoUnitError.html">IOVideoUnitError</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/ImageTransform.html">ImageTransform</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/RTMPObjectEncoding.html">RTMPObjectEncoding</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/SRTLogFunctionalArea.html">SRTLogFunctionalArea</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/SRTLogLevel.html">SRTLogLevel</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/SRTMode.html">SRTMode</a>
              </li>
              <li class="nav-group-task">
                <a href="../Enums/SRTSocketOption.html">SRTSocketOption</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Extensions.html">Extensions</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Extensions.html#/s:13SRTHaishinKit9SRTSocketC">SRTSocket</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Protocols.html">Protocols</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Protocols/EventDispatcherConvertible.html">EventDispatcherConvertible</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols/IOMuxer.html">IOMuxer</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols/IOStreamBitRateStrategyConvertible.html">IOStreamBitRateStrategyConvertible</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols/IOStreamDelegate.html">IOStreamDelegate</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols/IOStreamObserver.html">IOStreamObserver</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols/IOStreamRecorderDelegate.html">IOStreamRecorderDelegate</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols/IOStreamView.html">IOStreamView</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols/RTMPConnectionDelegate.html">RTMPConnectionDelegate</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols/Running.html">Running</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols/TSReaderDelegate.html">TSReaderDelegate</a>
              </li>
              <li class="nav-group-task">
                <a href="../Protocols/TSWriterDelegate.html">TSWriterDelegate</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Structs.html">Structures</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Structs/ASArray.html">ASArray</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/ASTypedObject.html">ASTypedObject</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/ASUndefined.html">ASUndefined</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/ASXML.html">ASXML</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/ASXMLDocument.html">ASXMLDocument</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/Atomic.html">Atomic</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/AudioCodecSettings.html">AudioCodecSettings</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/IOAudioMixerSettings.html">IOAudioMixerSettings</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/IOAudioMixerTrackSettings.html">IOAudioMixerTrackSettings</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/IOStreamBitRateStats.html">IOStreamBitRateStats</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/IOVideoMixerSettings.html">IOVideoMixerSettings</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/IOVideoMixerSettings/Mode.html">– Mode</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/RTMPStreamInfo.html">RTMPStreamInfo</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/SRTPerformanceData.html">SRTPerformanceData</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/SoundTransform.html">SoundTransform</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/VTSessionOption.html">VTSessionOption</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/VideoCodecSettings.html">VideoCodecSettings</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/VideoCodecSettings/BitRateMode.html">– BitRateMode</a>
              </li>
              <li class="nav-group-task">
                <a href="../Structs/VideoCodecSettings/ScalingMode.html">– ScalingMode</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../Typealiases.html">Type Aliases</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../Typealiases.html#/s:10HaishinKit8ASObjecta">ASObject</a>
              </li>
              <li class="nav-group-task">
                <a href="../Typealiases.html#/s:10HaishinKit32IOAudioCaptureConfigurationBlocka">IOAudioCaptureConfigurationBlock</a>
              </li>
              <li class="nav-group-task">
                <a href="../Typealiases.html#/s:10HaishinKit32IOVideoCaptureConfigurationBlocka">IOVideoCaptureConfigurationBlock</a>
              </li>
            </ul>
          </li>
        </ul>
      </nav>
      <article class="main-content">
        <section>
          <section class="section">
            <h1>IOAudioUnitError</h1>
              <div class="declaration">
                <div class="language">
                  
                  <pre class="highlight swift"><code><span class="kd">public</span> <span class="kd">enum</span> <span class="kt">IOAudioUnitError</span> <span class="p">:</span> <span class="kt">Swift</span><span class="o">.</span><span class="kt">Error</span></code></pre>

                </div>
              </div>
            <p>The IOAudioUnit  error domain codes.</p>

          </section>
          <section class="section task-group-section">
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit16IOAudioUnitErrorO14failedToAttachyACs0E0_pSg_tcACmF"></a>
                    <a name="//apple_ref/swift/Element/failedToAttach(error:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit16IOAudioUnitErrorO14failedToAttachyACs0E0_pSg_tcACmF">failedToAttach(error:<wbr>)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>The IOAudioUnit failed to attach device.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="nf">failedToAttach</span><span class="p">(</span><span class="nv">error</span><span class="p">:</span> <span class="p">(</span><span class="n">any</span> <span class="kt">Error</span><span class="p">)?)</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit16IOAudioUnitErrorO14failedToCreateyACSo13AVAudioFormatCSg_AGtcACmF"></a>
                    <a name="//apple_ref/swift/Element/failedToCreate(from:to:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit16IOAudioUnitErrorO14failedToCreateyACSo13AVAudioFormatCSg_AGtcACmF">failedToCreate(from:<wbr>to:<wbr>)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>The IOAudioUnit  failed to create the AVAudioConverter.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="nf">failedToCreate</span><span class="p">(</span><span class="nv">from</span><span class="p">:</span> <span class="kt">AVAudioFormat</span><span class="p">?,</span> <span class="nv">to</span><span class="p">:</span> <span class="kt">AVAudioFormat</span><span class="p">?)</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit16IOAudioUnitErrorO15failedToConvertyACSo7NSErrorC_tcACmF"></a>
                    <a name="//apple_ref/swift/Element/failedToConvert(error:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit16IOAudioUnitErrorO15failedToConvertyACSo7NSErrorC_tcACmF">failedToConvert(error:<wbr>)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>The IOAudioUnit  faild to convert the an audio buffer.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="nf">failedToConvert</span><span class="p">(</span><span class="nv">error</span><span class="p">:</span> <span class="kt">NSError</span><span class="p">)</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:10HaishinKit16IOAudioUnitErrorO11failedToMixyACs0E0_p_tcACmF"></a>
                    <a name="//apple_ref/swift/Element/failedToMix(error:)" class="dashAnchor"></a>
                    <a class="token" href="#/s:10HaishinKit16IOAudioUnitErrorO11failedToMixyACs0E0_p_tcACmF">failedToMix(error:<wbr>)</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>The IOAudioUnit  failed to mix the audio buffers.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="k">case</span> <span class="nf">failedToMix</span><span class="p">(</span><span class="nv">error</span><span class="p">:</span> <span class="n">any</span> <span class="kt">Error</span><span class="p">)</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
          </section>
        </section>
        <section id="footer">
          <p>&copy; 2024 <a class="link" href="https://github.com/shogo4405/HaishinKit.swift" target="_blank" rel="external noopener">shogo4405</a>. All rights reserved. (Last updated: 2024-04-22)</p>
          <p>Generated by <a class="link" href="https://github.com/realm/jazzy" target="_blank" rel="external noopener">jazzy ♪♫ v0.14.4</a>, a <a class="link" href="https://realm.io" target="_blank" rel="external noopener">Realm</a> project.</p>
        </section>
      </article>
    </div>
  </body>
</html>
